Loading...
Searching...
No Matches
OgreWorkQueue.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreAny.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreCommon.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderPrefix.h"`
`#include <deque>`
`#include <functional>`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::DefaultWorkQueueBase
| Base for a general purpose task-based background work queue. More...
class | Ogre::WorkQueue
| Interface to a general purpose task-based background work queue. More...
class | Ogre::WorkQueue::Request
| General purpose request structure. More...
struct | Ogre::WorkQueue::Response
| General purpose response structure. More...

## Namespaces

namespace | Ogre